> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Limits für Organisationsgruppen aktualisieren

> Konfiguration der Organisationsgruppen aktualisieren

Erfordert einen persönlichen API key eines Enterprise-Administrators.

<Note>
  Dieser Endpunkt erfordert, dass die Funktion für Limits von Organisationsgruppen für Ihr Enterprise aktiviert ist. Wenden Sie sich an Ihr Account-Team, um diese Funktion zu aktivieren.
</Note>

Ersetzt die gesamte Konfiguration der Organisationsgruppen durch die bereitgestellte Konfiguration. Gruppen, die nicht in der Anfrage enthalten sind, werden gelöscht, und enthaltene Gruppen werden erstellt oder aktualisiert, um der bereitgestellten Konfiguration zu entsprechen. Jede Gruppe ordnet einer Menge von Organisations-IDs ein optionales maximales Agent Compute Unit-Limit pro Abrechnungszeitraum zu.


## OpenAPI

````yaml de/v2-openapi.yaml PUT /v2/enterprise/org-group-limits
openapi: 3.1.0
info:
  description: Devin v2 API mit persönlichen API Keys für Enterprise-Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/org-group-limits:
    put:
      tags:
        - org-group-limits
      summary: Konfiguration der Organisationsgruppen aktualisieren
      description: >-
        Aktualisiert die Konfiguration der Organisationsgruppen.


        Dieser Endpoint ersetzt die gesamte Konfiguration der
        Organisationsgruppen durch die übergebene Konfiguration.

        - Gruppen, die nicht in der Anfrage enthalten sind, werden gelöscht.

        - Gruppen, die in der Anfrage enthalten sind, werden so erstellt oder
        aktualisiert, dass sie der angegebenen Konfiguration entsprechen.
      operationId: update_org_groups_config_v2_enterprise_org_group_limits_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrgGroupsConfig'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgGroupsConfig'
          description: Erfolgreiche Antwort
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validierungsfehler
components:
  schemas:
    OrgGroupsConfig:
      description: Konfiguration, die Gruppennamen ihren Einstellungen zuordnet.
      properties:
        groups:
          additionalProperties:
            $ref: '#/components/schemas/OrgGroupConfig'
          title: Groups
          type: object
      required:
        - groups
      title: OrgGroupsConfig
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    OrgGroupConfig:
      properties:
        max_cycle_acus:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Cycle Acus
        org_ids:
          items:
            type: string
          title: Org Ids
          type: array
          uniqueItems: true
      required:
        - org_ids
      title: OrgGroupConfig
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Persönlicher API Key (apk_user_*) nur für Enterprise-Administratoren
      scheme: bearer
      type: http

````